const
	maxd = 102;

type
	tlong = array [1..maxd] of longint;

var
	a, b: string;
	c: longint;
	an, bn, cn: tlong;

function convert(s: string): tlong;
var
	i: longint;
	start: longint;
begin
	for i := maxd downto 1 do
		result[i] := 0;
	for i := length(s) downto 1 do begin
		result[length(s) - i + 1] := ord(s[i]) - ord('0');
	end;
end;

var
	i: longint;

begin
	reset(input, 'sum.in');
	rewrite(output, 'sum.out');

	readln(a);
	readln(b);

//	assert(isNumber(a, 100));
//	assert(isNumber(b, 100));

	an := convert(a);
	bn := convert(b);

	c := 0;
	for i := 1 to maxd do begin	
		c := c + an[i] + bn[i];
		cn[i] := c mod 10;
		c := c div 10;
	end;

	i := maxd;
	while (i > 1) and (cn[i] = 0) do
		dec(i);

	while i > 0 do begin
		write(cn[i]);
		dec(i);
	end;

	close(input);
	close(output);
end.